Bug 184836 - games/gillo: Fix build with clang
Summary: games/gillo: Fix build with clang
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-16 18:10 UTC by tkato432
Modified: 2014-01-25 13:10 UTC (History)
0 users

See Also:


Attachments
file.diff (3.88 KB, patch)
2013-12-16 18:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-12-16 18:10:09 UTC
- Fix build with clang
- Add LICENSE

New file:
files/patch-src__goal.cpp
files/patch-src__goal.h
files/patch-src__simpleball.cpp
files/patch-src__simpleball.h
Comment 1 Martin Wilke freebsd_committer 2014-01-19 13:47:15 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 2 dfilter service freebsd_committer 2014-01-19 13:47:27 UTC
Author: miwi
Date: Sun Jan 19 13:47:16 2014
New Revision: 340292
URL: http://svnweb.freebsd.org/changeset/ports/340292
QAT: https://qat.redports.org/buildarchive/r340292/

Log:
  - Fix build with clang
  
  PR:		184836
  Submitted by:	Ports Fury

Added:
  head/games/gillo/files/patch-src__goal.cpp   (contents, props changed)
  head/games/gillo/files/patch-src__goal.h   (contents, props changed)
  head/games/gillo/files/patch-src__simpleball.cpp   (contents, props changed)
  head/games/gillo/files/patch-src__simpleball.h   (contents, props changed)
Modified:
  head/games/gillo/Makefile   (contents, props changed)

Modified: head/games/gillo/Makefile
==============================================================================
--- head/games/gillo/Makefile	Sun Jan 19 13:46:19 2014	(r340291)
+++ head/games/gillo/Makefile	Sun Jan 19 13:47:16 2014	(r340292)
@@ -11,18 +11,20 @@ DISTNAME=	${PORTNAME}-${DISTVERSION}-src
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Players are cars throwing a magnetic fuzzy ball into a goal
 
+LICENSE=	GPLv2
+
 BUILD_DEPENDS=	${JAM}:${PORTSDIR}/devel/jam \
 		${LOCALBASE}/lib/libode.a:${PORTSDIR}/devel/ode \
 		${LOCALBASE}/lib/libplibsg.a:${PORTSDIR}/x11-toolkits/plib
 
+WRKSRC=		${WRKDIR}/${PORTNAME}
+
 USE_BZIP2=	yes
 USE_GL=		gl
 USE_SDL=	yes
-WRKSRC=		${WRKDIR}/${PORTNAME}
 
 JAM?=		${LOCALBASE}/bin/jam
 
-NO_STAGE=	yes
 post-patch:
 	@${REINPLACE_CMD} -i '' -e 's|SDL/||g' ${WRKSRC}/src/*
 	@${REINPLACE_CMD} -e 's|%%SDL_CFLAGS%%|`${SDL_CONFIG} --cflags`|' \
@@ -33,11 +35,11 @@ post-patch:
 do-build:
 	cd ${WRKSRC} && ${SETENV} "C++=${CC}" "LOCALBASE=${LOCALBASE}" \
 		"CFLAGS=${CFLAGS} -DDATADIR=\\\"${PREFIX}/share\\\"" \
-	${JAM} -dx -sPREFIX=${PREFIX}
+		${JAM} -dx -sPREFIX=${PREFIX}
 
 do-install:
-	${INSTALL_PROGRAM} ${WRKSRC}/src/gillo3 ${PREFIX}/bin
-	@${MKDIR} ${DATADIR}
-	${INSTALL_DATA} ${WRKSRC}/data/*.* ${DATADIR}
+	(cd ${WRKSRC}/src && ${INSTALL_PROGRAM} gillo3 ${STAGEDIR}${PREFIX}/bin)
+	@${MKDIR} ${STAGEDIR}${DATADIR}
+	(cd ${WRKSRC}/data && ${INSTALL_DATA} *.* ${STAGEDIR}${DATADIR})
 
 .include <bsd.port.mk>

Added: head/games/gillo/files/patch-src__goal.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/gillo/files/patch-src__goal.cpp	Sun Jan 19 13:47:16 2014	(r340292)
@@ -0,0 +1,11 @@
+--- src/goal.cpp.orig
++++ src/goal.cpp
+@@ -22,6 +22,8 @@
+ 
+ namespace gillo {
+ 
++const float Goal::areaRadius = ODE_GOAL_DISTANCE;
++
+ Goal::Goal(Context& c)
+  : Entity(c)
+ {

Added: head/games/gillo/files/patch-src__goal.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/gillo/files/patch-src__goal.h	Sun Jan 19 13:47:16 2014	(r340292)
@@ -0,0 +1,11 @@
+--- src/goal.h.orig
++++ src/goal.h
+@@ -32,7 +32,7 @@
+ */
+ class Goal : public Entity
+ {
+-	static const float areaRadius = ODE_GOAL_DISTANCE;
++	static const float areaRadius;
+ 	dGeomID		gids[6];
+ public:
+     Goal(Context& c);

Added: head/games/gillo/files/patch-src__simpleball.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/gillo/files/patch-src__simpleball.cpp	Sun Jan 19 13:47:16 2014	(r340292)
@@ -0,0 +1,11 @@
+--- src/simpleball.cpp.orig
++++ src/simpleball.cpp
+@@ -26,6 +26,8 @@
+ const sgVec4 SimpleBall::p1[3] = { {0.3, 0.0, 0.0, 1.0}, {1.0, 0.0, 0.0, 1.0}, {1.0, 0.4, 0.4, 1.0} };
+ const sgVec4 SimpleBall::ne[3] = { {0.0, 0.0, 0.0, 1}, {0.6, 0.6, 0.6, 1}, {1.0, 1.0, 1.0, 1} };
+ const sgVec4 SimpleBall::p2[3] = { {0.0, 0.0, 0.3, 1}, {0.0, 0.0, 1.0, 1}, {0.4, 0.4, 1.0, 1} };
++const double SimpleBall::weight = ODE_BALL_MASS;
++const double SimpleBall::radius = ODE_BALL_RADIUS;
+ 
+ SimpleBall::SimpleBall(Context& c)
+ : Entity(c), ballEffectPtr(NULL), possessionIncrement(0), targetSize(2*radius), currentSize(2*radius)

Added: head/games/gillo/files/patch-src__simpleball.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/gillo/files/patch-src__simpleball.h	Sun Jan 19 13:47:16 2014	(r340292)
@@ -0,0 +1,13 @@
+--- src/simpleball.h.orig
++++ src/simpleball.h
+@@ -37,8 +37,8 @@
+ 	static const sgVec4 p1[3];
+ 	static const sgVec4 ne[3];
+ 	static const sgVec4 p2[3];
+-	static const double weight = ODE_BALL_MASS;
+-	static const double radius = ODE_BALL_RADIUS;
++	static const double weight;
++	static const double radius;
+     
+ 	SimpleBall(Context& c);
+ 	SimpleBall(Context& c, float size, ssgSimpleState* state);
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 dfilter service freebsd_committer 2014-01-25 13:06:14 UTC
Author: miwi
Date: Sat Jan 25 13:06:05 2014
New Revision: 341026
URL: http://svnweb.freebsd.org/changeset/ports/341026
QAT: https://qat.redports.org/buildarchive/r341026/

Log:
  MFH: r340292
  
  - Fix build with clang
  
  PR:		184836
  Submitted by:	Ports Fury

Added:
  branches/2014Q1/games/gillo/files/patch-src__goal.cpp
     - copied unchanged from r340292, head/games/gillo/files/patch-src__goal.cpp
  branches/2014Q1/games/gillo/files/patch-src__goal.h
     - copied unchanged from r340292, head/games/gillo/files/patch-src__goal.h
  branches/2014Q1/games/gillo/files/patch-src__simpleball.cpp
     - copied unchanged from r340292, head/games/gillo/files/patch-src__simpleball.cpp
  branches/2014Q1/games/gillo/files/patch-src__simpleball.h
     - copied unchanged from r340292, head/games/gillo/files/patch-src__simpleball.h
Modified:
  branches/2014Q1/games/gillo/Makefile   (contents, props changed)
Directory Properties:
  branches/2014Q1/   (props changed)

Modified: branches/2014Q1/games/gillo/Makefile
==============================================================================
--- branches/2014Q1/games/gillo/Makefile	Sat Jan 25 13:04:46 2014	(r341025)
+++ branches/2014Q1/games/gillo/Makefile	Sat Jan 25 13:06:05 2014	(r341026)
@@ -11,18 +11,20 @@ DISTNAME=	${PORTNAME}-${DISTVERSION}-src
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Players are cars throwing a magnetic fuzzy ball into a goal
 
+LICENSE=	GPLv2
+
 BUILD_DEPENDS=	${JAM}:${PORTSDIR}/devel/jam \
 		${LOCALBASE}/lib/libode.a:${PORTSDIR}/devel/ode \
 		${LOCALBASE}/lib/libplibsg.a:${PORTSDIR}/x11-toolkits/plib
 
+WRKSRC=		${WRKDIR}/${PORTNAME}
+
 USE_BZIP2=	yes
 USE_GL=		gl
 USE_SDL=	yes
-WRKSRC=		${WRKDIR}/${PORTNAME}
 
 JAM?=		${LOCALBASE}/bin/jam
 
-NO_STAGE=	yes
 post-patch:
 	@${REINPLACE_CMD} -i '' -e 's|SDL/||g' ${WRKSRC}/src/*
 	@${REINPLACE_CMD} -e 's|%%SDL_CFLAGS%%|`${SDL_CONFIG} --cflags`|' \
@@ -33,11 +35,11 @@ post-patch:
 do-build:
 	cd ${WRKSRC} && ${SETENV} "C++=${CC}" "LOCALBASE=${LOCALBASE}" \
 		"CFLAGS=${CFLAGS} -DDATADIR=\\\"${PREFIX}/share\\\"" \
-	${JAM} -dx -sPREFIX=${PREFIX}
+		${JAM} -dx -sPREFIX=${PREFIX}
 
 do-install:
-	${INSTALL_PROGRAM} ${WRKSRC}/src/gillo3 ${PREFIX}/bin
-	@${MKDIR} ${DATADIR}
-	${INSTALL_DATA} ${WRKSRC}/data/*.* ${DATADIR}
+	(cd ${WRKSRC}/src && ${INSTALL_PROGRAM} gillo3 ${STAGEDIR}${PREFIX}/bin)
+	@${MKDIR} ${STAGEDIR}${DATADIR}
+	(cd ${WRKSRC}/data && ${INSTALL_DATA} *.* ${STAGEDIR}${DATADIR})
 
 .include <bsd.port.mk>

Copied: branches/2014Q1/games/gillo/files/patch-src__goal.cpp (from r340292, head/games/gillo/files/patch-src__goal.cpp)
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ branches/2014Q1/games/gillo/files/patch-src__goal.cpp	Sat Jan 25 13:06:05 2014	(r341026, copy of r340292, head/games/gillo/files/patch-src__goal.cpp)
@@ -0,0 +1,11 @@
+--- src/goal.cpp.orig
++++ src/goal.cpp
+@@ -22,6 +22,8 @@
+ 
+ namespace gillo {
+ 
++const float Goal::areaRadius = ODE_GOAL_DISTANCE;
++
+ Goal::Goal(Context& c)
+  : Entity(c)
+ {

Copied: branches/2014Q1/games/gillo/files/patch-src__goal.h (from r340292, head/games/gillo/files/patch-src__goal.h)
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ branches/2014Q1/games/gillo/files/patch-src__goal.h	Sat Jan 25 13:06:05 2014	(r341026, copy of r340292, head/games/gillo/files/patch-src__goal.h)
@@ -0,0 +1,11 @@
+--- src/goal.h.orig
++++ src/goal.h
+@@ -32,7 +32,7 @@
+ */
+ class Goal : public Entity
+ {
+-	static const float areaRadius = ODE_GOAL_DISTANCE;
++	static const float areaRadius;
+ 	dGeomID		gids[6];
+ public:
+     Goal(Context& c);

Copied: branches/2014Q1/games/gillo/files/patch-src__simpleball.cpp (from r340292, head/games/gillo/files/patch-src__simpleball.cpp)
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ branches/2014Q1/games/gillo/files/patch-src__simpleball.cpp	Sat Jan 25 13:06:05 2014	(r341026, copy of r340292, head/games/gillo/files/patch-src__simpleball.cpp)
@@ -0,0 +1,11 @@
+--- src/simpleball.cpp.orig
++++ src/simpleball.cpp
+@@ -26,6 +26,8 @@
+ const sgVec4 SimpleBall::p1[3] = { {0.3, 0.0, 0.0, 1.0}, {1.0, 0.0, 0.0, 1.0}, {1.0, 0.4, 0.4, 1.0} };
+ const sgVec4 SimpleBall::ne[3] = { {0.0, 0.0, 0.0, 1}, {0.6, 0.6, 0.6, 1}, {1.0, 1.0, 1.0, 1} };
+ const sgVec4 SimpleBall::p2[3] = { {0.0, 0.0, 0.3, 1}, {0.0, 0.0, 1.0, 1}, {0.4, 0.4, 1.0, 1} };
++const double SimpleBall::weight = ODE_BALL_MASS;
++const double SimpleBall::radius = ODE_BALL_RADIUS;
+ 
+ SimpleBall::SimpleBall(Context& c)
+ : Entity(c), ballEffectPtr(NULL), possessionIncrement(0), targetSize(2*radius), currentSize(2*radius)

Copied: branches/2014Q1/games/gillo/files/patch-src__simpleball.h (from r340292, head/games/gillo/files/patch-src__simpleball.h)
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ branches/2014Q1/games/gillo/files/patch-src__simpleball.h	Sat Jan 25 13:06:05 2014	(r341026, copy of r340292, head/games/gillo/files/patch-src__simpleball.h)
@@ -0,0 +1,13 @@
+--- src/simpleball.h.orig
++++ src/simpleball.h
+@@ -37,8 +37,8 @@
+ 	static const sgVec4 p1[3];
+ 	static const sgVec4 ne[3];
+ 	static const sgVec4 p2[3];
+-	static const double weight = ODE_BALL_MASS;
+-	static const double radius = ODE_BALL_RADIUS;
++	static const double weight;
++	static const double radius;
+     
+ 	SimpleBall(Context& c);
+ 	SimpleBall(Context& c, float size, ssgSimpleState* state);
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"